package com.brilliance.isc.swift.swifteditor.tag;

import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class TagAnalyzer {
	public static Map<Integer,String> analyze(TagLine line,String value)
	{
		String reg = line.getAnalyzeReg();
		Matcher m = Pattern.compile(reg).matcher(value);
		
		if(!m.matches()) //值与栏位格式不匹配
			return null;
		Map<Integer,String> subValues = new HashMap<Integer,String>();
		int gcnt = line.getMaxCnt();
		for(int i=1;i<=gcnt;i++)
			subValues.put(i, m.group("S"+i+""));
		return subValues;
	}
}
